%define fname polib


Name:           python-polib
Version:        1.1.0
Release:        %mkrel 3
Summary:        A library to parse and manage gettext catalogs

Group:          Development/Python
License:        MIT
URL:            https://bitbucket.org/izi/polib/
Source0:        https://files.pythonhosted.org/packages/source/p/polib/%{fname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  fdupes

%description
polib allows you to manipulate, create, modify gettext files (pot, po and
mo files). You can load existing files, iterate through it's entries, add,
modify entries, comments or metadata, etc... or create new po files from
scratch.

polib provides a simple and pythonic API, exporting only three convenience
functions 'pofile', 'mofile' and 'detect_encoding', and the 4 core classes:
POFile, MOFile, POEntry and MOEntry for creating new files/entries.

%package -n python3-%{fname}
Summary:        A library to parse and manage gettext catalogs for Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{fname}
polib allows you to manipulate, create, modify gettext files (pot, po and
mo files). You can load existing files, iterate through it's entries, add,
modify entries, comments or metadata, etc... or create new po files from
scratch.

polib provides a simple and pythonic API, exporting only three convenience
functions 'pofile', 'mofile' and 'detect_encoding', and the 4 core classes:
POFile, MOFile, POEntry and MOEntry for creating new files/entries.

%prep
%setup -q -n %{fname}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{fname}.egg-info

%build
%py3_build

%check
%{__python3} setup.py check

%install
%py3_install

%fdupes %{buildroot}%{python3_sitelib}

%files -n python3-%{fname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.1.0-3.mga8
+ Revision: 1531422
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 1.1.0-2.mga8
+ Revision: 1440237
- rebuild for python-3.8
- drop python2 subpkg

* Sat Apr 20 2019 wally <wally> 1.1.0-1.mga7
+ Revision: 1393698
- new version 1.1.0

* Sun Jan 06 2019 tmb <tmb> 1.0.7-4.mga7
+ Revision: 1350187
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.7-3.mga7
+ Revision: 1289677
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.0.7-2.mga7
+ Revision: 1135549
- Rebuild for python 3.6

* Fri Jan 22 2016 daviddavid <daviddavid> 1.0.7-1.mga6
+ Revision: 926503
- new version: 1.0.7
- use new python macros
- update Source URL

* Fri Sep 11 2015 ovitters <ovitters> 1.0.3-7.mga6
+ Revision: 878191
+ rebuild (emptylog)

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-7.mga5
+ Revision: 743126
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.3-6.mga5
+ Revision: 729326
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-5.mga5
+ Revision: 688221
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.0.3-4.mga5
+ Revision: 628897
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.3-3.mga4
+ Revision: 543974
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.3-2.mga4
+ Revision: 499123
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 30 2013 philippem <philippem> 1.0.3-1.mga4
+ Revision: 461272
- Update to 1.0.3

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2-4.mga3
+ Revision: 379281
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 philippem <philippem> 1.0.2-3.mga3
+ Revision: 326032
+ rebuild (emptylog)

* Sun Dec 02 2012 philippem <philippem> 1.0.2-1.mga3
+ Revision: 325448
- Update to 1.0.2

* Fri Nov 18 2011 philippem <philippem> 0.7.0-1.mga2
+ Revision: 168691
- Update to 0.7.0 with commit dbafdc621bf4 fixes

* Sun Jun 19 2011 kharec <kharec> 0.6.3-1.mga2
+ Revision: 109708
- new version 0.6.3

* Wed Feb 02 2011 ahmad <ahmad> 0.5.5-1.mga1
+ Revision: 46314
- imported package python-polib


* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.5-1mdv2011.0
+ Revision: 603070
- update to new version 0.5.5

* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.4-2mdv2011.0
+ Revision: 592471
- rebuild to get correct auto requries

* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.4-1mdv2011.0
+ Revision: 587727
- update to new version 0.5.4

* Wed Sep 29 2010 Michael Scherer <misc@mandriva.org> 0.5.3-1mdv2011.0
+ Revision: 581951
- import python-polib

